The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get NTBA Integration Configuration

Prev Next

This URL gets the NTBA integration configuration.

Resource URL

GET sensor/<sensor_id>/ntbaintegration

Request Parameters

URL Parameter

Field Name Description Data Type Mandatory
sensor_id Sensor Id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
exportingData Exporting data Object

Details of flow exporting data:

Field Name Description Data Type
ntbaIntegration NTBA Integration String
targetNTBA NTBA name String
flowCollectionIPAddr Destination IP String
flowCollectionUDPPort Destination UDP port Number
portUsedToExportTraffic Flow source Object
monitoringPorts Monitoring ports Object list

Details of portUsedToExportTraffic:

Field Name Description Data Type
designatedPort Designated port for NTBA String
portIPAddr IP address for port String
networkMask network mask String
defaultGateway default gateway String
VLANId VLAN Id Number

Details of monitoring ports:

Field Name Description Data Type
port Port name String
portNTBADirection NTBA direction for port String

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/0/ntbaintegration

Response

{
"exportingData":
{
"ntbaIntegration":"ENABLED_EXPORTING_ONLY",
"destinationNTBA":"ntba-nsmapi",
"destinationIPAddr":"1.1.1.8",
"destinationUDPPort":9996
"portUsedToExportTraffic":
{
"designatedPort":"8A",
"portIPAddr":"1.1.1.11",
"networkMask":"255.255.255.0",
"defaultGateway":"1.1.1.8",
"VLANId":0
},
"monitoringPorts":
[
{
"port":"8A",
"portNTBADirection":"INTERNAL"
}
]
}
}
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 400 1106 Invalid Sensor Id